Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class MemoryLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.MemoryLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

Direct Known Subclasses:
  DelayLayer

    public abstract class MemoryLayer

extends Layer

See Also:
  Serialized Form

Field Summary
`protected double[]` | `backmemory`
`protected double[]` | `memory`

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`MemoryLayer()`
`MemoryLayer(java.lang.String ElemName)`

Method Summary
`protected void` | `backward(double[] pattern)` Reverse transfer function of the component.
`java.util.TreeSet` | `check()` Get check messages from listeners.
`protected void` | `forward(double[] pattern)` Transfer function to recall a result on a trained net
`int` | `getDimension()` Returns the number of neurons contained in the layer
`int` | `getTaps()` Return the taps value (06/04/00 1.08.26)
`protected void` | `setDimensions()` Sets the dimension of the layer.
`protected void` | `setOutputDimension(OutputPatternListener syn)` Sets the dimansion of the output (22/03/00 1.45.24)
`void` | `setTaps(int newTaps)` Inserire qui la descrizione del metodo.
`protected void` | `sumBackInput(double[] pattern)` Calculates the net input of the error gradents during the learning phase

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToFwdPattern, adjustSizeToRevPattern, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, fwdRun, getAllInputs, getAllOutputs, getBias, getLastOutputs, getLayerName, getLearner, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, Inspections, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setMonitor, setOutputSynapses, setRows, start, stop, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### memory

    protected double[] memory

### backmemory

    protected double[] backmemory

Constructor Detail

### MemoryLayer

    public MemoryLayer()

### MemoryLayer

    public MemoryLayer(java.lang.String ElemName)

Method Detail

### getDimension

    public int getDimension()

  Description copied from class: `Layer`
  Returns the number of neurons contained in the layer

  Overrides:
    `getDimension` in class `Layer`
  Returns:
    the number of neurons in the layer.

### getTaps

    public int getTaps()

  Return the taps value (06/04/00 1.08.26)

  Returns:
    int

### setDimensions

    protected void setDimensions()

  Description copied from class: `Layer`
  Sets the dimension of the layer. Override to define how the internal buffers must be sized.

  Specified by:
    `setDimensions` in class `Layer`

### setOutputDimension

    protected void setOutputDimension(OutputPatternListener syn)

  Sets the dimansion of the output (22/03/00 1.45.24)

  Overrides:
    `setOutputDimension` in class `Layer`
  Parameters:
    `syn` - neural.engine.Synapse

### setTaps

    public void setTaps(int newTaps)

  Inserire qui la descrizione del metodo. Data di creazione: (06/04/00 1.08.26)

  Parameters:
    `newTaps` - int

### sumBackInput

    protected void sumBackInput(double[] pattern)

  Description copied from class: `Layer`
  Calculates the net input of the error gradents during the learning phase

  Overrides:
    `sumBackInput` in class `Layer`
  Parameters:
    `pattern` - array of input values

### backward

    protected void backward(double[] pattern)

  Reverse transfer function of the component.

  Specified by:
    `backward` in class `Layer`
  Parameters:
    `pattern` - double[] - input pattern on wich to apply the transfer function

### forward

    protected void forward(double[] pattern)

  Transfer function to recall a result on a trained net

  Specified by:
    `forward` in class `Layer`
  Parameters:
    `pattern` - double[] - input pattern

### check

    public java.util.TreeSet check()

  Description copied from class: `Layer`
  Get check messages from listeners. Subclasses should call this method from thier own check method.

  Specified by:
    `check` in interface `NeuralLayer`
  Overrides:
    `check` in class `Layer`
  Returns:
    validation errors.
  See Also:
    `NeuralLayer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net